Quobyte driver fails with Qemu >= 2.10.0

Bug #1758114 reported by Silvan Kaiser on 2018-03-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Silvan Kaiser

Bug Description

This issue is similar to #1731992 as the Qemu change also affects the Quobyte driver.
The introduction of the --force-share parameter is required.

Silvan Kaiser (2-silvan) on 2018-03-22
Changed in cinder:
assignee: nobody → Silvan Kaiser (2-silvan)

Fix proposed to branch: master
Review: https://review.openstack.org/555400

Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/555400
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=7c5bf6f90a2988da94e30d65e0c13b4c7abf1876
Submitter: Zuul
Branch: master

commit 7c5bf6f90a2988da94e30d65e0c13b4c7abf1876
Author: Silvan Kaiser <email address hidden>
Date: Thu Mar 22 19:05:37 2018 +0100

    Support Qemu >= 2.10.0 in Quobyte driver

    This adds using the '--force-share' option with qemu-img, similar to
    the changes in Ia3623af2048d6cbda65deebf4404e6b5fefe1bfc .

    Closes-Bug: #1758114

    Change-Id: I5a06e10fbe03e4184c891733dde430b66109ce35

Changed in cinder:
status: In Progress → Fix Released

This issue was fixed in the openstack/cinder 13.0.0.0b1 development milestone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers